<f:layout name="CollapseWidget"/>
<f:section name="Widget">
    <div class="accordion" id="accordionComments">
        <div class="accordion-item">
            <h2 class="accordion-header" id="headingComments">
                <button class="accordion-button" type="button" data-bs-toggle="collapse"
                        data-bs-target="#collapseComments" aria-expanded="true" aria-controls="collapseComments">
                    <h3>
                        <f:translate key="headline.recentcomments"/>
                    </h3>
                </button>
            </h2>

            <div id="collapseComments" class="accordion-collapse collapse show" aria-labelledby="headingComments"
                 data-bs-parent="#accordionComments">
                <div class="accordion-body">
                    <ul class="blogwidgetlist blogwidgetlist--recentcomments">
                        <f:for each="{comments}" as="comment">
                            <li class="blogwidgetlist__item">
                                <!--span class="blogwidgetlist__itemauthoron"><f:translate key="widget.recentcomments.on" /></span-->
                                <blogvh:link.post class="blogwidgetlist__itemlink" post="{comment.post}"
                                                  section="comment-{comment.uid}">
                                    <span class="blogwidgetlist__articletitle">{comment.post.title}</span>
                                </blogvh:link.post>
                                <p class="blogwidgetlist__itemtext">
                                    <f:format.crop maxCharacters="100" append="&nbsp;[...]">{comment.comment}
                                    </f:format.crop>
                                </p>
                                <span class="blogicon"><f:render partial="General/BlogIcons" section="Comment"
                                                                 optional="true"/></span>
                                <span class="blogwidgetlist__itemauthor"> {comment.name}</span>
                                <span class="blogwidgetlist__itemdate blogicon"><f:render partial="General/BlogIcons"
                                                                                          section="Published"
                                                                                          optional="true"/></span>
                                <span class="blogwidgetlist__itemdate"><f:format.date
                                    format="d.m.Y">{comment.crdate}</f:format.date></span>
                                <f:if condition="!{publishDateFormat}">
                                    <f:variable name="dateformat" value="%d.%m.%Y"/>
                                </f:if>
                            </li>
                        </f:for>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</f:section>

